=== debian/changelog ===
haproxy (1.8.19-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control, d/t/proxy-localhost: simple DEP8 test to actually
      generate traffic through haproxy.
      [Updated to use "service" instead of "systemctl" to match what was
      submitted to Debian.]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 20 Feb 2019 14:18:15 +0100

haproxy (1.8.19-1) unstable; urgency=medium

  * New upstream version 1.8.19
    - BUG/MEDIUM: spoe: initialization depending on nbthread must be done last
    - BUG/MEDIUM: server: initialize the idle conns list after parsing the
                  config
    - BUG/MAJOR:  spoe: Don't try to get agent config during SPOP healthcheck
    - BUG/MAJOR:  stream: avoid double free on unique_id (Closes: #921981)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 12 Feb 2019 10:30:54 +0200

haproxy (1.8.17-1ubuntu1) disco; urgency=medium

  * d/t/control, d/t/proxy-localhost: simple DEP8 test to actually
    generate traffic through haproxy.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Jan 2019 18:11:39 -0200
