=== debian/changelog ===
haproxy (1.8.19.1-1+security) unstable; urgency=medium

  * update

 -- Debian HAProxy Maintainers <haproxy@tracker.debian.org>  Thu, 01 Apr 2021 21:31:43 +0800

haproxy (1.8.19.1-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * update to 1.8.19-1+deb10u3 and fix CVE-2019-18277

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 01 Apr 2021 19:36:29 +0800

haproxy (1.8.19-1+deb10u3) buster; urgency=medium

  * d/logrotate.conf: use rsyslog helper instead of SysV init script.
    Closes: #946973.
  * d/patches: reject messages where "chunked" is missing from
    transfer-encoding. CVE-2019-18277.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Aug 2020 14:37:46 +0200

haproxy (1.8.19.1-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 09:52:36 +0800

haproxy (1.8.19-1+deb10u2) buster-security; urgency=medium

  * Apply one patch to fix an overflow in HTTP/2 header handling.
    Fix CVE-2020-11100.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Apr 2020 12:00:13 +0200

haproxy (1.8.19-1+deb10u1) buster-security; urgency=high

  * Apply two patches around HTTP/2 header validation allowing an attacker
    to use a CRLF inside an HTTP header. Fix CVE-2019-19330.

 -- Vincent Bernat <bernat@debian.org>  Wed, 27 Nov 2019 17:07:57 +0100
