## haproxy 2.0.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,21 @@
 # This GNU Makefile supports different OS and CPU combinations.
 #
 # You should use it this way :
-#   [g]make TARGET=os ARCH=arch CPU=cpu USE_xxx=1 ...
-#
-# Valid USE_* options are the following. Most of them are automatically set by
-# the TARGET, others have to be explictly specified :
-#   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
+#   [g]make TARGET=os [ARCH=arch] [CPU=cpu] USE_xxx=1 ...
+#
+# When in doubt, invoke help, possibly with a known target :
+#   [g]make help
+#   [g]make help TARGET=linux-glibc
+#
+# By default the detailed commands are hidden for a cleaner output, but you may
+# see them by appending "V=1" to the make command.
+#
+# Valid USE_* options are enumerated in the "use_opts" variable and are listed
+# below. Most of them are automatically set by the TARGET, others have to be
+# explicitly specified :
 #   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
 #   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
+#   USE_EVPORTS          : enable event ports on SunOS systems. Automatic.
 #   USE_MY_EPOLL         : redefine epoll_* syscalls. Automatic.
 #   USE_MY_SPLICE        : redefine the splice syscall if build fails without.
 #   USE_NETFILTER        : enable netfilter on Linux. Automatic.
@@ -34,19 +42,24 @@
 #   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
 #   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
 #   USE_MY_ACCEPT4       : use own implemention of accept4() if glibc < 2.10.
+#   USE_PRCTL            : enable use of prctl(). Automatic.
 #   USE_ZLIB             : enable zlib library support.
 #   USE_SLZ              : enable slz library instead of zlib (pick at most one).
 #   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
 #   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
 #   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
 #   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
+#   USE_RT               : enable it if your system requires -lrt. Automatic on Linux.
 #   USE_DEVICEATLAS      : enable DeviceAtlas api.
 #   USE_51DEGREES        : enable third party device detection library from 51Degrees
 #   USE_WURFL            : enable WURFL detection library from Scientiamobile
 #   USE_SYSTEMD          : enable sd_notify() support.
+#   USE_OBSOLETE_LINKER  : use when the linker fails to emit __start_init/__stop_init
+#   USE_THREAD_DUMP      : use the more advanced thread state dump system. Automatic.
 #
 # Options can be forced by specifying "USE_xxx=1" or can be disabled by using
-# "USE_xxx=" (empty string).
+# "USE_xxx=" (empty string). The list of enabled and disabled options for a
+# given TARGET is enumerated at the end of "make help".
 #
 # Variables useful for packagers :
 #   CC is set to "gcc" by default and is used for compilation only.
@@ -77,11 +90,13 @@
 #           installation only.
 #
 # Other variables :
-#   DLMALLOC_SRC   : build with dlmalloc, indicate the location of dlmalloc.c.
-#   DLMALLOC_THRES : should match PAGE_SIZE on every platform (default: 4096).
+#   PCRE_CONFIG    : force the binary path to get pcre config (by default
+#                                                              pcre-config)
 #   PCREDIR        : force the path to libpcre.
 #   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
 #   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
+#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
+#                                                               pcre2-config)
 #   SSL_LIB        : force the lib path to libssl/libcrypto
 #   SSL_INC        : force the include path to libssl/libcrypto
 #   LUA_LIB        : force the lib path to lua
@@ -92,6 +107,14 @@
 #   VERSION        : force haproxy version reporting.
 #   SUBVERS        : add a sub-version (eg: platform, model, ...).
 #   VERDATE        : force haproxy's release date.
+#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
+
+# verbosity: pass V=1 for verbose shell invocation
+V = 0
+Q = @
+ifeq ($V,1)
+Q=
+endif
 
 # Function used to detect support of a given option by the compiler.
 # Usage: CFLAGS += $(call cc-opt,option). Eg: $(call cc-opt,-fwrapv)
@@ -118,8 +141,8 @@
 #### TARGET system
 # Use TARGET=<target_name> to optimize for a specifc target OS among the
 # following list (use the default "generic" if uncertain) :
-#    generic, linux22, linux24, linux24e, linux26, solaris,
-#    freebsd, openbsd, netbsd, cygwin, haiku, custom, aix51, aix52
+#    linux-glibc, solaris, freebsd, openbsd, netbsd, cygwin,
+#    haiku, aix51, aix52, osx, generic, custom
 TARGET =
 
 #### TARGET CPU
@@ -146,6 +169,10 @@
 
 #### Add -Werror when set to non-empty
 ERR =
+
+#### May be used to force running a specific set of reg-tests
+REG_TEST_FILES =
+REG_TEST_SCRIPT=./scripts/run-regtests.sh
 
 #### Compiler-specific flags that may be used to disable some negative over-
 # optimization or to silence some warnings. -fno-strict-aliasing is needed with
@@ -157,8 +184,21 @@
 SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,$(call cc-opt,-fno-strict-overflow))
 SPEC_CFLAGS += $(call cc-nowarn,format-truncation)
 SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
-SPEC_CFLAGS += $(call cc-nowarn,null-dereference)
 SPEC_CFLAGS += $(call cc-nowarn,unused-label)
+SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
+SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
+SPEC_CFLAGS += $(call cc-nowarn,old-style-declaration)
+SPEC_CFLAGS += $(call cc-nowarn,ignored-qualifiers)
+SPEC_CFLAGS += $(call cc-nowarn,clobbered)
+SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
+SPEC_CFLAGS += $(call cc-nowarn,implicit-fallthrough)
+SPEC_CFLAGS += $(call cc-nowarn,stringop-overflow)
+SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
+SPEC_CFLAGS += $(call cc-opt,-Wtype-limits)
+SPEC_CFLAGS += $(call cc-opt,-Wshift-negative-value)
+SPEC_CFLAGS += $(call cc-opt,-Wshift-overflow=2)
+SPEC_CFLAGS += $(call cc-opt,-Wduplicated-cond)
+SPEC_CFLAGS += $(call cc-opt,-Wnull-dereference)
 
 #### Memory usage tuning
 # If small memory footprint is required, you can reduce the buffer size. There
@@ -174,8 +214,8 @@
 #### Debug settings
 # You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
 # Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
-# DEBUG_HASH, DEBUG_AUTH, DEBUG_SPOE, DEBUG_UAF and DEBUG_THREAD. Please check
-# sources for exact meaning or do not use at all.
+# DEBUG_HASH, DEBUG_AUTH, DEBUG_SPOE, DEBUG_UAF and DEBUG_THREAD, DEBUG_STRICT,
+# DEBUG_DEV. Please check sources for exact meaning or do not use at all.
 DEBUG =
 
 #### Trace options
@@ -194,46 +234,3 @@
 # not want to pollute the report with complex defines.
 # The following settings might be of interest when SSL is enabled :
 #   LISTEN_DEFAULT_CIPHERS is a cipher suite string used to set the default SSL
-#           ciphers on "bind" lines instead of using OpenSSL's defaults.
-#   CONNECT_DEFAULT_CIPHERS is a cipher suite string used to set the default
-#           SSL ciphers on "server" lines instead of using OpenSSL's defaults.
-DEFINE =
-SILENT_DEFINE =
-
-#### extra programs to build
-# Force this to enable building extra programs or to disable them.
-# It's automatically appended depending on the targets.
-EXTRA =
-
-#### CPU dependant optimizations
-# Some CFLAGS are set by default depending on the target CPU. Those flags only
-# feed CPU_CFLAGS, which in turn feed CFLAGS, so it is not mandatory to use
-# them. You should not have to change these options. Better use CPU_CFLAGS or
-# even CFLAGS instead.
-CPU_CFLAGS.generic    = -O2
-CPU_CFLAGS.native     = -O2 -march=native
-CPU_CFLAGS.i586       = -O2 -march=i586
-CPU_CFLAGS.i686       = -O2 -march=i686
-CPU_CFLAGS.ultrasparc = -O6 -mcpu=v9 -mtune=ultrasparc
-CPU_CFLAGS            = $(CPU_CFLAGS.$(CPU))
-
-#### ARCH dependant flags, may be overriden by CPU flags
-ARCH_FLAGS.32     = -m32
-ARCH_FLAGS.64     = -m64
-ARCH_FLAGS.i386   = -m32 -march=i386
-ARCH_FLAGS.i486   = -m32 -march=i486
-ARCH_FLAGS.i586   = -m32 -march=i586
-ARCH_FLAGS.i686   = -m32 -march=i686
-ARCH_FLAGS.x86_64 = -m64 -march=x86-64
-ARCH_FLAGS        = $(ARCH_FLAGS.$(ARCH))
-
-#### Common CFLAGS
-# These CFLAGS contain general optimization options, CPU-specific optimizations
-# and debug flags. They may be overridden by some distributions which prefer to
-# set all of them at once instead of playing with the CPU and DEBUG variables.
-CFLAGS = $(ARCH_FLAGS) $(CPU_CFLAGS) $(DEBUG_CFLAGS) $(SPEC_CFLAGS)
-
-#### Common LDFLAGS
-# These LDFLAGS are used as the first "ld" options, regardless of any library
-# path or any other option. They may be changed to add any linker-specific
-# option at the beginning of the ld command line.
