=== debian/changelog ===
haproxy (2.0.5-1ubuntu0.4) eoan-security; urgency=medium

  * SECURITY UPDATE: Arbitrary memory write
    - debian/patches/CVE-2020-11100.patch: make sure the headroom is
      considered only when the buffer does not wrap in src/hpack-tbl.c.
    - CVE-2020-11100

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 03 Apr 2020 16:36:11 -0300

haproxy (2.0.5-1ubuntu0.3) eoan-security; urgency=medium

  * SECURITY UPDATE: Intermediary Encapsulation attacks
    - debian/patches/CVE-2019-19330-*.patch: reject header values containing
      invalid chars and make header field name filtering stronger in
      src/h2.c, include/common/ist.h.
    - CVE-2019-19330

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 02 Dec 2019 16:12:00 -0300

haproxy (2.0.5-1ubuntu0.2) eoan-security; urgency=medium

  * SECURITY UPDATE: Messages with transfer-encoding header missing "chunked"
    value were not being correctly rejected
    - debian/patches/CVE-2019-18277.patch: also reject messages where
      "chunked" is missing from transfer-enoding in.
      src/proto_http.c.
    - CVE-2019-18277

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 04 Nov 2019 11:07:29 -0300

haproxy (2.0.5-1ubuntu0.1) eoan; urgency=medium

  * Fix configurability of dh_params that regressed since building
    against openssl 1.1.1 (LP: #1841936)
    - d/p/lp-1841936-BUG-MEDIUM-ssl-tune.ssl.default-dh-param-value-ignor.patch
    - d/p/lp-1841936-CLEANUP-ssl-make-ssl_sock_load_dh_params-handle-errc.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 23 Oct 2019 12:58:09 +0200

haproxy (2.0.5-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MEDIUM: mux_h1: Don't bother subscribing in recv if we're not
                  connected.
    - BUG/MEDIUM: mux_pt: Don't call unsubscribe if we did not subscribe.
    - BUG/MEDIUM: proxy: Don't forget the SF_HTX flag when upgrading
                  TCP=>H1+HTX.
    - BUG/MEDIUM: proxy: Don't use cs_destroy() when freeing the
                  conn_stream.
    - BUG/MEDIUM: stick-table: Wrong stick-table backends parsing.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Aug 2019 19:51:24 +0200

haproxy (2.0.4-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
    - BUG/MAJOR: http/sample: use a static buffer for raw -> htx
                 conversion
    - BUG/MAJOR: queue/threads: avoid an AB/BA locking issue in
                 process_srv_queue()
  * d/haproxy.cfg: update default cipher lists to more secure defaults.
    TLSv1.0 and TLSv1.1 are disabled, as well as TLS tickets (they are
    breaking forward secrecy unless correctly rotated).
    Closes: #932763.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Aug 2019 14:22:23 +0200

haproxy (2.0.3-1) experimental; urgency=medium

  * New upstream version.
    - BUG/CRITICAL: http_ana: Fix parsing of malformed cookies which start by
                    a delimiter (CVE-2019-14241)
    - BUG/MEDIUM: checks: Don't attempt to receive data if we already
                  subscribed.
    - BUG/MEDIUM: http/htx: unbreak option http_proxy
    - DOC: htx: Update comments in HTX files
    - BUG/MEDIUM: mux-h1: Trim excess server data at the end of a transaction
    - BUG/MEDIUM: tcp-checks: do not dereference inexisting conn_stream
  * Bump Standards-Version to 4.4.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 23 Jul 2019 13:31:31 -0300

haproxy (2.0.2-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: listener: fix thread safety in resume_listener()

 -- Vincent Bernat <bernat@debian.org>  Wed, 17 Jul 2019 12:19:54 +0200

haproxy (2.0.1-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: sample: Wrong stick-table name parsing in "if/unless" ACL
                 condition.
    - BUG/MAJOR: mux-h1: Don't crush trash chunk area when outgoing
                 message is formatted
  * d/rules: fix crash during reload due to libgcc_s.so missing when
    chrooted.

 -- Vincent Bernat <bernat@debian.org>  Mon, 24 Jun 2019 19:28:26 +0200

haproxy (2.0.0-1) experimental; urgency=medium

  * New upstream version.
  * d/watch: update to follow 2.0.
  * d/gbp.conf: update for 2.0 and experimental.
  * d/rules: update to use linux-glibc target.
  * d/rules: enable prometheus exporter.
  * d/patches: refresh patches.
  * d/vim-haproxy.install: update path to vim syntax file.
  * d/README.Debian: remove outdated information.

 -- Vincent Bernat <bernat@debian.org>  Thu, 20 Jun 2019 11:40:19 +0200

haproxy (1.9.8-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: map/acl: real fix segfault during show map/acl on CLI
    - BUG/MAJOR: mux-h2: do not add a stream twice to the send list

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 May 2019 01:50:10 +0200

haproxy (1.9.7-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: http_fetch: Get the channel depending on the keyword used
    - BUG/MAJOR: lb/threads: fix AB/BA locking issue in round-robin LB
    - BUG/MAJOR: lb/threads: fix insufficient locking on round-robin LB
    - BUG/MAJOR: muxes: Use the HTX mode to find the best mux for HTTP
                 proxies only
    - BUG/MAJOR: task: make sure never to delete a queued task

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Apr 2019 17:37:04 +0200

haproxy (1.9.6-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: checks: segfault during tcpcheck_main

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Mar 2019 12:43:33 +0100

haproxy (1.9.5-1) experimental; urgency=medium

  * New upstream version.
    - BUG/MAJOR: cache/htx: Set the start-line offset when a cached object
                 is served
    - BUG/MAJOR: fd/threads, task/threads: ensure all spin locks are
                 unlocked
    - BUG/MAJOR: listener: Make sure the listener exist before using it.
    - BUG/MAJOR: mux-h2: fix race condition between close on both ends

