=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10),
                libpcre2-dev,
                libssl-dev,
