## haproxy 2.0.6

=== debian/changelog ===
haproxy (2.0.6-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 Sep 2019 08:10:21 +0200

haproxy (2.0.6-2) unstable; urgency=medium

  * d/patches: fix regression with checks.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 Sep 2019 08:02:53 +0200

haproxy (2.0.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Sep 2019 10:50:41 +0200

haproxy (2.0.6-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: ssl: ssl_sock was not fully initialized.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Sep 2019 21:25:38 +0200

haproxy (2.0.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Aug 2019 10:54:27 +0200

haproxy (2.0.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Aug 2019 14:34:56 +0200

haproxy (2.0.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Jul 2019 19:04:47 +0200

haproxy (2.0.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 17 Jul 2019 15:55:25 +0200

haproxy (2.0.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 29 Jun 2019 08:21:44 +0200
