## haproxy 2.0.9

=== debian/changelog ===
haproxy (2.0.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Nov 2019 14:24:23 +0100

haproxy (2.0.9-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: stream-int: Don't receive data from mux until SI_ST_EST
                 is reached

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Nov 2019 17:38:51 +0100

haproxy (2.0.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Oct 2019 09:23:19 +0200

haproxy (2.0.8-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: idle conns: schedule the cleanup task on the correct
                 threads

 -- Vincent Bernat <bernat@debian.org>  Wed, 23 Oct 2019 08:55:55 +0200

haproxy (2.0.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Sep 2019 20:07:44 +0200

haproxy (2.0.7-1) unstable; urgency=medium

  * New upstream release.  
    - BUG/MAJOR: mux-h2: Handle HEADERS frames received after a RST_STREAM
                 frame
    - BUG/MAJOR: mux_h2: Don't consume more payload than received for
                 skipped frames
    - BUG/MEDIUM: checks: make sure the connection is ready before trying
                  to recv

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Sep 2019 19:14:12 +0200
