## haproxy 2.0.10

=== debian/changelog ===
haproxy (2.0.10-1~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Nov 2019 13:30:11 +0100

haproxy (2.0.10-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: h2: make header field name filtering stronger
    - BUG/MAJOR: h2: reject header values containing invalid chars
    - BUG/MAJOR: mux-h2: don't try to decode a response HEADERS frame in
                 idle state

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Nov 2019 13:22:17 +0100
