=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 
-ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), sw_64)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-endif
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=DESTDIR=debian/haproxy \
@@ -19,11 +17,11 @@
 	 USE_OPENSSL=1 \
 	 USE_ZLIB=1 \
 	 USE_LUA=1 \
-	 USE_GETADDRINFO=1 \
-	 LUA_INC=/usr/include/lua5.3
+	 LUA_INC=/usr/include/lua5.3 \
+	 EXTRA_OBJS="contrib/prometheus-exporter/service-prometheus.o"
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-        MAKEARGS+= USE_NS=1 TARGET=linux2628 USE_SYSTEMD=1
+        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -35,7 +33,9 @@
 endif
 
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB=-latomic
+	MAKEARGS+= ADDLIB="-latomic -Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
+else
+	MAKEARGS+= ADDLIB="-Wl,--no-as-needed -lgcc_s -Wl,--as-needed"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
