=== debian/changelog ===
haproxy (2.0.12-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2019 18:38:28 +0100

haproxy (2.0.12-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: task: add a new TASK_SHARED_WQ flag to fix foreign requeuing
  * d/logrotate.conf: use rsyslog helper instead of SysV init script.
    Closes: #946973.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Dec 2019 08:20:33 +0100

haproxy (2.0.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2019 11:12:00 +0100

haproxy (2.0.11-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: dns: add minimalist error processing on the Rx path

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Dec 2019 19:22:03 +0100
