## haproxy 2.0.13

=== Makefile ===
--- 
+++ 
@@ -141,8 +141,8 @@
 #### TARGET system
 # Use TARGET=<target_name> to optimize for a specifc target OS among the
 # following list (use the default "generic" if uncertain) :
-#    linux-glibc, solaris, freebsd, openbsd, netbsd, cygwin,
-#    haiku, aix51, aix52, osx, generic, custom
+#    linux-glibc, linux-glibc-legacy, solaris, freebsd, openbsd, netbsd,
+#    cygwin, haiku, aix51, aix52, osx, generic, custom
 TARGET =
 
 #### TARGET CPU
@@ -233,4 +233,3 @@
 # not want to pollute the report with complex defines.
 # The following settings might be of interest when SSL is enabled :
 #   LISTEN_DEFAULT_CIPHERS is a cipher suite string used to set the default SSL
-#           ciphers on "bind" lines instead of using OpenSSL's defaults.
