=== debian/changelog ===
haproxy (2.0.13-2) unstable; urgency=medium

  * d/dconv: replace cgi.escape by html.escape. Closes: #951416.
  * d/copryight: document OpenSSL exception. Closes: #951782.
  * d/haproxy.cfg: use "ssl-min-ver" to set minimum version.
  * Apply one patch to fix an overflow in HTTP/2 header handling.
    Fix CVE-2020-11100.

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Apr 2020 21:49:32 +0200

haproxy (2.0.13-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: hashes: fix the signedness of the hash inputs
    - BUG/MAJOR: memory: Don't forget to unlock the rwlock if the pool is
                 empty.
  * d/dconv: use Python 3 to build the documentation.
    Closes: #948296, #950435.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Feb 2020 15:32:32 +0100
