=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <haproxy@tracker.debian.org>
+Maintainer: Debian HAProxy Maintainers <haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -14,7 +13,7 @@
                libsystemd-dev [linux-any],
                python3-sphinx,
                zlib1g-dev
-Build-Depends-Indep: python, python-mako
+Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
 Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy
