=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	# Build the HTML documentation, after patching dconv
 	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
 	for doc in intro configuration management; do \
-		python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
 			-i $(CURDIR)/doc/$${doc}.txt \
 			-o $(CURDIR)/doc/$${doc}.html ;\
 	done
