## haproxy 2.0.14

=== debian/changelog ===
haproxy (2.0.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Apr 2020 18:47:06 +0200

haproxy (2.0.14-1) unstable; urgency=medium

  * New upstream release.
    - BUG/CRITICAL: hpack: never index a header into the headroom after
                    wrapping
    - BUG/MAJOR: http-ana: Always abort the request when a tarpit is
                 triggered
    - BUG/MAJOR: list: fix invalid element address calculation
    - BUG/MAJOR: proxy_protocol: Properly validate TLV lengths
  * d/control: fix maintainer address. Closes: #955553.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Apr 2020 18:34:22 +0200

haproxy (2.0.13-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Apr 2020 11:46:07 +0200

haproxy (2.0.13-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Feb 2020 17:38:56 +0100
