## haproxy 2.0.15

=== debian/changelog ===
haproxy (2.0.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 14 Jun 2020 18:39:04 +0200

haproxy (2.0.15-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: stream-int: always detach a faulty endpoint on connect
                 failure

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Jun 2020 18:48:25 +0200
